# AST

![.github/workflows/test.yml](https://github.com/whitequark/ast/actions/workflows/test.yml/badge.svg)
[![Code Climate](https://codeclimate.com/github/whitequark/ast.svg)](https://codeclimate.com/github/whitequark/ast)
[![Coverage Status](https://coveralls.io/repos/whitequark/ast/badge.svg?branch=master)](https://coveralls.io/r/whitequark/ast)

AST is a small library for working with immutable abstract syntax trees.

## Installation

    $ gem install ast

## Usage

See the documentation at [GitHub](http://whitequark.github.io/ast/frames.html) or [rdoc.info](http://rdoc.info/gems/ast).

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
